package bricktest;

import de.grosenick.brickapi.BrickConnector;
import de.grosenick.brickapi.NetworkThread;
import de.grosenick.brickapi.commands.ReadStatus;
import de.grosenick.brickapi.commands.SetRelay;

/**
 * 
 *
 */
public class Main
{
    private static void sleep(int ms) {
        try {
            Thread.sleep(ms);
        }
        catch (InterruptedException ie) {
            // ignore
        }
    }

    /**
     * @param args
     * @throws Exception
     */
    public static void main(String[] args)
        throws Exception
    {
        // change 'tinkertest' to the IP / hostname of the stack
        BrickConnector bc = new BrickConnector("tinkertest", 4223);
        //BrickConnector bc = new BrickConnector("localhost", 4223);
        
        NetworkThread nt1 = new NetworkThread(bc);
        nt1.start();
        NetworkThread nt2 = new NetworkThread(bc);
        nt2.start();
        ServoThread st = new ServoThread(nt1);
        
        if (args.length == 0) {
            System.out.println("Starte Servos...");
            st.start();
            sleep(50);
        }
        else
            System.out.println("Starte OHNE Servos...");
        
        ReadStatus status = new ReadStatus(true, true, true);
        
        // 1. Switch in der Sequenz 0..3
        SetRelay relay = new SetRelay(null, 1);
        relay.switchOn();

        int count = 0;
        do {
            nt2.enqueueCommand(status);
            relay.setDuration(200);
            nt2.enqueueCommand(relay);
            System.out.println("Count: " + count + "  U: " + status.getVoltageAverage(1) +
                               "  I: " + status.getStackMilliAmp() + "  Lux: " + status.getIlluminanceAverage(3));
            sleep(1765);
        } while (++count < 30);
        
        st.doFinish();
        sleep(200);
        nt1.doFinish();
        nt2.doFinish();
        sleep(200);
        bc.destroy(true);
    }

}
