package de.grosenick.brickapi;

/**
 * An enumeration which lists all known (supported) devices.
 * 
 * @author Holger Grosenick
 */
public enum DeviceType
{
    /** MasterBrick */
    MASTER,
    /** DC motor control brick */
    MOTOR,
    /** Servo brick */
    SERVO,

    /** LCD panel 20x4 */
    LCD20x4,
    /** Ambient light sensor */
    LIGHT,
    /** Distance sensor (IR) */
    DISTANCE,
    /** Dual relay */
    DUAL_RELAY,
    /** linear poti */
    LINEAR_POTI,
    /** Quad relay */
    QUAD_RELAY,
    /** linear poti */
    ROTARY_POTI,
    /** Temerature */
    TEMPERATURE,
    /** Temerature + IR */
    TEMPERATURE_IR,
    /** Voltage via "analog in bricklet" */
    VOLTAGE,
    /** Voltage + Current */
    VOLTAGE_CURRENT,
    /** Not supported device */
    UNKNOWN
}