
package de.grosenick.brickapi.commands;

import de.grosenick.brickapi.AbstractCommand;
import de.grosenick.brickapi.BrickConnector;


/**
 * A command that can be used as the last command in the queue: the
 * {@link BrickConnector} get disconnected and cannot be used afterwards.
 * 
 * @author Holger Grosenick
 */
public class CloseAndDisconnect extends AbstractCommand
{
    /**
     * Destroy the connection.
     */
    @Override
    protected void doExecute(BrickConnector brickConnector) {
        if (brickConnector != null) {
            brickConnector.destroy(true);
        }
    }

}
